###############################################################################
# Editor                                                                      #
###############################################################################
# JetBrains products (Webstorm, IntelliJ IDEA, ...)
.idea/
*.iml

# Komodo
*.komodoproject
.komodotools

###############################################################################
# Build                                                                       #
###############################################################################
/coverage/
/typedoc/
/haxe/
/lib/
/main/
/test/
/bin/

###############################################################################
# Dependencies                                                                #
###############################################################################
# Node dependencies directory
node_modules/
# Yarn without Zero-Installs
# https://yarnpkg.com/advanced/qa#which-files-should-be-gitignored
.yarn/*
!.yarn/releases
!.yarn/plugins
!.yarn/sdks
!.yarn/versions
.pnp.*

###############################################################################
# Local configuration                                                         #
###############################################################################
test-config.js
.env

###############################################################################
# Temporary files                                                             #
###############################################################################
*.log
*.tmp
tmp/
logs/

###############################################################################
# Other                                                                       #
###############################################################################
# Runtime data
pids
*.pid
*.seed
